{
  "name": "@mongosh/arg-parser",
  "version": "0.0.0-dev.0",
  "description": "MongoDB Shell CLI Argument List Parser Package",
  "main": "./lib/index.js",
  "repository": {
    "type": "git",
    "url": "git://github.com/mongodb-js/mongosh.git"
  },
  "config": {
    "unsafe-perm": true
  },
  "scripts": {
    "test": "mocha -r \"../../scripts/import-expansions.js\" --timeout 60000 -r ts-node/register \"./{src,lib}/**/*.spec.ts\"",
    "test-ci": "node ../../scripts/run-if-package-requested.js npm test",
    "lint": "eslint --report-unused-disable-directives \"./{src,test}/**/*.{js,ts,tsx}\"",
    "check": "npm run lint && depcheck --skip-missing=true",
    "compile-ts": "tsc -p tsconfig.json",
    "prepublish": "npm run compile-ts"
  },
  "license": "Apache-2.0",
  "publishConfig": {
    "access": "public"
  },
  "engines": {
    "node": ">=14.15.1"
  },
  "mongosh": {
    "unitTestsOnly": true
  },
  "dependencies": {
    "mongodb-connection-string-url": "^2.6.0",
    "@mongosh/errors": "0.0.0-dev.0",
    "@mongosh/i18n": "0.0.0-dev.0"
  },
  "devDependencies": {
    "@mongodb-js/devtools-connect": "^1.4.3",
    "mongodb": "^4.13.0"
  }
}
